package cn.skcks.docking.gb28181.wvp.test;

import cn.skcks.docking.gb28181.common.xml.XmlUtils;
import cn.skcks.docking.gb28181.wvp.sip.message.message.device.control.DeviceControlDTO;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;

@Slf4j
public class XmlTest {
    @Test
    public void test(){
        DeviceControlDTO deviceControlDTO = DeviceControlDTO.builder()
                .sn("100")
                .deviceId("123456")
                .recordCmd("PreRecord")
                .build();
        log.info("\n{}", XmlUtils.toXml(deviceControlDTO));
    }
}
